package cn.quant.baa.pay.model;

import java.io.Serializable;

/**
 * Created by Administrator on 2021/9/13 0013.
 */
public class StatusCodeDTO implements Serializable{
    private static final long serialVersionUID = 952357481570545998L;
    private String institutionId;
    private String entity;
    private String code;
    private Integer priority;
    private String codeType;
    private String postingCode;
    private Boolean sendNoticeFlag;
    private String regrCode;
    private String failedCode;
    private String nextCode;
    private String messageCode;

    public String getInstitutionId() {
        return institutionId;
    }

    public void setInstitutionId(String institutionId) {
        this.institutionId = institutionId;
    }

    public String getEntity() {
        return entity;
    }

    public void setEntity(String entity) {
        this.entity = entity;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public String getCodeType() {
        return codeType;
    }

    public void setCodeType(String codeType) {
        this.codeType = codeType;
    }

    public String getPostingCode() {
        return postingCode;
    }

    public void setPostingCode(String postingCode) {
        this.postingCode = postingCode;
    }

    public Boolean getSendNoticeFlag() {
        return sendNoticeFlag;
    }

    public void setSendNoticeFlag(Boolean sendNoticeFlag) {
        this.sendNoticeFlag = sendNoticeFlag;
    }

    public String getRegrCode() {
        return regrCode;
    }

    public void setRegrCode(String regrCode) {
        this.regrCode = regrCode;
    }

    public String getFailedCode() {
        return failedCode;
    }

    public void setFailedCode(String failedCode) {
        this.failedCode = failedCode;
    }

    public String getNextCode() {
        return nextCode;
    }

    public void setNextCode(String nextCode) {
        this.nextCode = nextCode;
    }

    public String getMessageCode() {
        return messageCode;
    }

    public void setMessageCode(String messageCode) {
        this.messageCode = messageCode;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("StatusCodeDTO{");
        sb.append("institutionId='").append(institutionId).append('\'');
        sb.append(", entity='").append(entity).append('\'');
        sb.append(", code='").append(code).append('\'');
        sb.append(", priority=").append(priority);
        sb.append(", codeType='").append(codeType).append('\'');
        sb.append(", postingCode='").append(postingCode).append('\'');
        sb.append(", sendNoticeFlag=").append(sendNoticeFlag);
        sb.append(", regrCode='").append(regrCode).append('\'');
        sb.append(", failedCode='").append(failedCode).append('\'');
        sb.append(", nextCode='").append(nextCode).append('\'');
        sb.append(", messageCode='").append(messageCode).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
